<bugID>762321<Summary>When getting value that are enums from the DOM, print the string rather than the integer</Summary><Description>When working with the web console, it would be nice if, say, when a video element is selected in the inspector, that the following :

&gt; $0.networkState

printed something like "HTMLMediaElement.NETWORK_LOADING (2)", rather than "2", that is, the enumeration symbol rather than the value, because it would be much more readable.

By extension, it all the enumerated properties could benefit from this feature.</Description></bugID>